Get Accounts
curl --request GET \
--url https://access.utgl.io/v1/accounts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/accounts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prevPageToken": "<string>",
"nextPageToken": "<string>",
"accounts": [
{
"id": "<string>",
"xid": "<string>",
"xmetadata": {},
"name": "<string>",
"accountNumber": "<string>",
"description": "<string>"
}
]
}Accounts
Get Accounts
Get a collection of Accounts based on provided search criteria.
GET
/
accounts
Get Accounts
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Search results by account id(s)
Search results by account name
Search results by account name and account number
Filter by one or more xid
Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.
Required range:
x >= 1Example:
"aWVHZWV5OVgK"
Was this page helpful?

